import { LowSync, JSONFileSync } from "lowdb";
import path from "path";
import { __root_dir } from "../../index";
import fs from "fs";
if (!fs.existsSync(path.join(__root_dir, "/data")))
    fs.mkdirSync(path.join(__root_dir, "/data"));
const adapter = new JSONFileSync(path.join(__root_dir, "/data/news.json"));
const db = new LowSync(adapter);
export function getLastLoadRss() {
    db.read();
    if (!db.data.lastLoad)
        return null;
    return new Date(db.data.lastLoad);
}
export function setLastLoadRss(date) {
    db.read();
    db.data.lastLoad = new Date(date).toISOString();
    db.write();
}
export function getBroadcastInfo() {
    db.read();
    if (!db.data.broadcast)
        return [];
    return db.data.broadcast;
}
export function addBroadcastInfo(info) {
    db.read();
    if (broadcastInfoIndex(db.data.broadcast, info) === -1) {
        db.data.broadcast.push(info);
        db.write();
        return true;
    }
    return false;
}
export function broadcastInfoIndex(list, info) {
    for (let i = 0; i < list.length;) {
        if (list[i].platform === info.platform &&
            list[i].selfId === info.selfId &&
            list[i].channelId === info.channelId &&
            (!info.groupId || (info.groupId && list[i].groupId === info.groupId)))
            return i;
        i++;
    }
    return -1;
}
export function removeBroadcastInfo(info) {
    db.read();
    let i = broadcastInfoIndex(db.data.broadcast, info);
    while (i >= 0) {
        db.data.broadcast.splice(i, 1);
        i = broadcastInfoIndex(db.data.broadcast, info);
    }
    db.write();
}
