"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.wrapReply = void 0;
const koishi_core_1 = require("koishi-core");
function _wrapReply(message, content) {
    const r = (id) => koishi_core_1.segment("quote", { id }) + " " + content;
    if (typeof message === "string")
        return r(message);
    else if (message.platform === "onebot" && message.subtype === "group") {
        // 腾讯定制回复 解决缩略消息吞昵称的问题 真有你的腾讯
        return koishi_core_1.segment("quote", { id: message.messageId }) +
            koishi_core_1.segment("at", { id: message.userId }) +
            content;
    }
    else if (message.subtype === "private")
        return content;
    return r(message.messageId);
}
exports.wrapReply = _wrapReply;
