"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.apply = void 0;
const koishi_core_1 = require("koishi-core");
const sdoFF14Data_1 = require("./lib/API/sdoFF14Data");
const serverStatus_1 = require("./lib/canvas/serverStatus");
function apply(ctx) {
    ctx.command("ffxiv.server")
        .alias("服务器状态")
        .alias("绝育查询")
        .action(async () => {
        const serverStatus = await sdoFF14Data_1.getServers();
        if (typeof serverStatus !== "string") {
            const image = await serverStatus_1.drawServerStatus(serverStatus.Data);
            return koishi_core_1.segment("image", { url: "base64://" + image.toString("base64") });
        }
        return;
    });
}
exports.apply = apply;
